%global _hardened_build 1

Name:		usbip
License:	GPLv2+
Summary:	USB/IP user-space
Group:		System Environment/Daemons
Version:	3.18
Release:	4%{?dist}
#Source:	https://www.kernel.org/pub/linux/kernel/v3.x/linux-%%{version}.tar.xz
# In the interests of keeping the source rpm from being ridiculously large,
# download the Linux kernel from above and run `extract_usbip.sh <version>`
# in the SOURCE directory.
URL:		https://www.kernel.org
Source:		usbip-%{version}.tar.xz
Source1:	usbip-server.service
Source2:	usbip-client.service
Source99:	extract_usbip.sh
Requires:	kmod(usbip-core.ko)
Requires:	kmod(usbip-host.ko)
Requires:	kmod(vhci-hcd.ko)
Requires:	hwdata
Requires(post):	systemd
Requires(preun):	systemd
Requires(postun):	systemd
BuildRequires:	systemd
BuildRequires:	libudev-devel
BuildRequires:	libtool autoconf

# Use the same directory of the main package for subpackage licence and docs
%global _docdir_fmt %{name}

%description
USB/IP allows you to share USB devices over a network.  With USB/IP, you can
plug a USB device into one computer and use it on a different computer on the
network.

This package contains the user-space tools for USB/IP, both for servers and
clients

%package devel
Summary: USB/IP headers and development libraries
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains headers and static libraries for USB/IP user-space
development

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static --with-usbids-dir=%{_datadir}/hwdata
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/libusbip*.la
mkdir -p %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_unitdir}

%post
%systemd_post usbip-client.service usbip-server.service
/sbin/ldconfig

%preun
%systemd_preun usbip-client.service usbip-server.service

%postun
%systemd_postun_with_restart usbip-client.service usbip-server.service
/sbin/ldconfig

%files
%license COPYING
%doc README AUTHORS
%{_sbindir}/*
%{_libdir}/*.so.*
%{_mandir}/man8/*
%{_unitdir}/*

%files devel
%license COPYING
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Thu Feb  5 2015 - Jonathan Dieter <jdieter@lesbg.com> - 3.18-4
- Fix datadir (#1189855)
- Fix client service type

* Thu Jan 15 2015 - Jonathan Dieter <jdieter@lesbg.com> - 3.18-3
- Improve description

* Wed Jan 14 2015 - Jonathan Dieter <jdieter@lesbg.com> - 3.18-2
- Remove clean section
- Remove defattr in files list
- Use license macro for COPYING
- Use combined doc directory
- Combine systemd macros into one
- Remove /etc/default config file
- Stop rmmoding when services stop
- Remove unneeded After=syslog.target in services
- Update to 3.18
- Replace /usr/share with datadir macro in configure
- Switch to make_install macro
- When manually using install, preserve timestamps

* Tue Dec 16 2014 - Jonathan Dieter <jdieter@lesbg.com> - 3.17-1
- Initial release
